/* Code for test
   (setq c-basic-offset 4)
   */

import java.util.*;
import comp100.*;
import java.io.*;
import javax.swing.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;


public class FilePrinter{


  public void printFile(String fname){
      try{
	  Scanner sc = new Scanner(new File(fname));
	  int lnum = 1;
	  while (sc.hasNext()){
	      String line = sc.nextLine();
	      System.out.println(lnum + ": "+ line);
	      lnum++;
	  }
	  sc.close();
      }
      catch(Exception e){System.out.printf("Typing out %s failed\n", fname);}
  }

  public int largestNum(Scanner file){
      int max = -Integer.MAX_VALUE;
      while(file.hasNext()){
	  if (file.hasNextInt()){
	      int n = file.nextInt();
	      if (n > max){
		  max = n;
	      }
	  }
	  else
	      file.next();
      }
      return max;
  }

  public int largestNumBad(Scanner file){
      int max = 0;
      while(file.hasNext()){
	  if (file.hasNextInt()){
              if (file.nextInt() > max){
	          max = file.nextInt();
	      }
	  }
      }
      return max;
  }


  public static void main(String[] arguments){
    FilePrinter fp = new FilePrinter();
    String fname = FileDialog.open();
    fp.printFile(fname);

    try{
      Scanner sc = new Scanner(new File(fname));
      System.out.printf("\n--------------\nLargest number is %d\n", fp.largestNum(sc));
      sc.close();
    }
    catch(Exception e){System.out.printf("reading %s\n", fname);}
  }	


}
